Bug 1061967 - (CVE-2017-15047) VUL-0: CVE-2017-15047: redis: denial of service in clusterLoadConfig function in cluster.c
(CVE-2017-15047)
VUL-0: CVE-2017-15047: redis: denial of service in clusterLoadConfig function...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Security Team bot
E-mail List
https://smash.suse.de/issue/192892/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-06 06:55 UTC by Alexander Bergmann
Modified: 2020-11-11 14:35 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2017-10-06 06:55:02 UTC
CVE-2017-15047

The clusterLoadConfig function in cluster.c in Redis 4.0.2 allows attackers to
cause a denial of service (out-of-bounds array index and application crash) or
possibly have unspecified other impact by leveraging "limited access to the
machine."

Upstream bug:
https://github.com/antirez/redis/issues/4278

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-15047
Comment 1 Andreas Stieger 2018-01-16 08:15:25 UTC
According to https://raw.githubusercontent.com/antirez/redis/4.0/00-RELEASENOTES
this is fixed in 4.0.3

Redis 4.0.3     Released Thu Nov 30 13:14:50 CET 2017
[...]
antirez in commit 1740300f:
 Fix buffer overflows occurring reading redis.conf.
[...]

https://github.com/antirez/redis/commit/1740300f35ad8a4dbb60ef7feb6a3738596316a8

Ilya, this package needs a maintainer and you did the last bump. Do you want to take over maintainership?
Comment 2 Илья Индиго 2018-01-16 08:38:23 UTC
Yes, I want if Marcus does not mind.
Comment 3 Илья Индиго 2018-01-16 08:48:35 UTC
I'm sorry, Martin.
https://build.opensuse.org/request/show/561673
Comment 4 Swamp Workflow Management 2018-01-16 08:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1061967) was mentioned in
https://build.opensuse.org/request/show/566094 42.2+42.3+Backports:SLE-12 / redis
Comment 5 Swamp Workflow Management 2018-01-23 15:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1061967) was mentioned in
https://build.opensuse.org/request/show/568653 42.2+42.3+Backports:SLE-12 / redis
Comment 6 Andreas Stieger 2018-01-25 19:21:44 UTC
releasing, done
Comment 7 Swamp Workflow Management 2018-01-25 23:08:30 UTC
openSUSE-SU-2018:0225-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1061967
CVE References: CVE-2017-15047
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    redis-4.0.6-12.1
Comment 8 Swamp Workflow Management 2018-01-25 23:09:43 UTC
openSUSE-SU-2018:0228-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1061967
CVE References: CVE-2017-15047
Sources used:
openSUSE Leap 42.3 (src):    redis-4.0.6-14.1
openSUSE Leap 42.2 (src):    redis-4.0.6-8.6.1
Comment 11 Swamp Workflow Management 2020-11-11 14:35:33 UTC
SUSE-OU-2020:3291-1: An update that solves 7 vulnerabilities, contains four features and has two fixes is now available.

Category: optional (moderate)
Bug References: 1002351,1047218,1061967,1064980,1097430,1131555,798455,835815,991250
CVE References: CVE-2013-7458,CVE-2015-8080,CVE-2016-10517,CVE-2016-8339,CVE-2017-15047,CVE-2018-11218,CVE-2018-11219
JIRA References: ECO-2417,ECO-2867,SLE-11578,SLE-12821
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    redis-6.0.8-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.